Skip to main content
POST
/
messages
/
{message_id}
/
feedbacks
Submit Message Feedback
curl --request POST \
  --url https://{api_base_url}/messages/{message_id}/feedbacks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "rating": "like",
  "user": "abc-123",
  "content": "This answer was very helpful!"
}
'
import requests

url = "https://{api_base_url}/messages/{message_id}/feedbacks"

payload = {
    "rating": "like",
    "user": "abc-123",
    "content": "This answer was very helpful!"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({rating: 'like', user: 'abc-123', content: 'This answer was very helpful!'})
};

fetch('https://{api_base_url}/messages/{message_id}/feedbacks', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "result": "success"
}
{
  "status": 404,
  "code": "not_found",
  "message": "Message Not Exists."
}

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer . Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences. Requests with a missing or invalid API key fail with HTTP 401 and error code unauthorized.

Path Parameters

message_id
string
required

Message ID.

Body

application/json

Request body for submitting message feedback.

user
string
required

User identifier, defined by the developer, must ensure uniqueness within the application.

rating
enum<string> | null

Feedback rating. Set to null to revoke previously submitted feedback.

Available options:
like,
dislike,
null
content
string

Optional text feedback providing additional detail.

Response

Operation successful.

result
string

Operation result. Always success.

Last modified on July 9, 2026